[Megoldva]Torcs vs Supertuxkart Dreamlinux (Lenny)

 ( cappa72 | 2009. szeptember 7., hétfő - 8:40 )

Üdv!

Két kedven játékom nem fér meg békésen Dreamlinux 3.5 és Debian 5.0 alatt (Ha jól láttam, a DreamLinux a hivatalos Lenny tárolókat használja.)
Mégpedig azért nem, mert a legújabb Supertuxkart (0.6) más libplib-et használ, mint a Lenny tárolójában lévő Torcs (1.3.0)
Egyik leszedi a másikat, és fordítva.
Ha meg felerőltetem, akkor a synaptic sem indul el.

No ezen febuzdulva gondoltam felteszem forrásból a legfrissebbet, mert ott ugyanaz a libplib használatos, mint függőség.
A plib-et is letöltöttem (1.8.5), no itt keletkezett a probléma.

checking for glNewlist in -lGl... no
checking for glNewlist in -lMesaGl... no
configure: error: could not find working GL library

Mivel nem vagyok nagy forrásból fordító ezért kérném a segítségeteket.
Gondolom a devel-ek legyenek fent a fordításhoz... ezért feltettem, de a hiba nem szűnt meg.

Hogyan kellene továbblépnem?

Köszönöm,
C.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Közben, hogy ne csak sírjak-ríjak, próbálgattam keresni (kivételesen lehet, hogy összejött?).
Itt mintha okosat írtak volna. Na este kipróbálom.

----
Hol van a kígyónak farka? Minek annak az a nagy karkötő?

Nálam ezek a Torcs függőségei (Debian alatt is valami hasonló lehet a csomagok neve), ezeket tedd fel:

libpng-dev
zlib-dev
mesa-dev
libx11-dev
libxext-dev
libxt-dev
libxi-dev
libxmu-dev
libxxf86vm-dev
libxrender-dev
libxrandr-dev
freealut-dev
libice-dev
plib-dev
libsm-dev

A configure --x-libraries=/usr/lib kell, már ha ott vannak a libek.

Aztán make, make install, make datainstall

Köszönöm!

hmm... az installation guide-nál volt egy megjegyzés a configure után, és lám olyasmi, mint amit odaraktál.
configure --x-libraries=/usr/lib
Csak este tudom megnézni, de nagyon logikusnak hangzik.

c.
----
Hol van a kígyónak farka? Minek annak az a nagy karkötő?

khmkhm...
Néhány függőséget elfeledtem (általában dev-eket) telepíteni.
Útmutatásod alapján feltettem, simán lefordul, simán megy :)

Köszönöm.
C.

----
Hol van a kígyónak farka? Minek annak az a nagy karkötő?

Fura nekem mindkettő fent van ugyanazokból a tárolókból, és mennek.
Igaz nekem nincs külön debianlenny, mert gyakorlatilag már azzá vált..
(Azt hittem csak én, és miattam a környezetemben lévők használnak dreamlinuxot desktopon :) )

--
AGA@

Akkor nekem is menne mindkettő azonos tárolóból, ha nem a legújabbat akarnám feltenni.
Viszont annyit újítottak a supertuxkart-on, hogy érdemes a legújabbal játszani... :)

[Off bekapcs:
azért próbáltam meg a Dreamlinux-ot, mert Debian alapú, olvastam, hogy jó, és a mostaniban 2.6.28-as kernel van. Azért volt fontos a max 2.6.28-as kernel, mert a ralink pcmci kártyám eddig a kernelig megy jól a régi legacy driver-rel. Illetve az ati x1100 kártya sem támogatott már..., szóval régi a vas).

Eddig bejött, sőt meglepetésemre (amit a Lenny-n sehogy sem sikerült belőni) a suspend/resume is _rendesen_ megy, értsd wifi-vel együtt vissza is jön.
[/Vége az off-nak.
----
Hol van a kígyónak farka? Minek annak az a nagy karkötő?